ChangeSet 1.1343, 2003/10/09 10:30:54-07:00, david-b@pacbell.net

[PATCH] USB: make more driver names match module names

This resolves a bug in osdl bugtraq (#1261) by making
some more driver names match their module names.  Such
mismatches are bad because scripts often need to add
special cases, handling multiple names for drivers.


 drivers/usb/host/ohci-hcd.c |    2 +-
 drivers/usb/host/uhci-hcd.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/host/ohci-hcd.c b/drivers/usb/host/ohci-hcd.c
--- a/drivers/usb/host/ohci-hcd.c	Fri Oct 10 16:02:35 2003
+++ b/drivers/usb/host/ohci-hcd.c	Fri Oct 10 16:02:35 2003
@@ -125,7 +125,7 @@
 
 /*-------------------------------------------------------------------------*/
 
-static const char	hcd_name [] = "ohci-hcd";
+static const char	hcd_name [] = "ohci_hcd";
 
 #include "ohci.h"
 
diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Fri Oct 10 16:02:35 2003
+++ b/drivers/usb/host/uhci-hcd.c	Fri Oct 10 16:02:35 2003
@@ -2518,7 +2518,7 @@
 	return uhci_get_current_frame_number(hcd_to_uhci(hcd));
 }
 
-static const char hcd_name[] = "uhci-hcd";
+static const char hcd_name[] = "uhci_hcd";
 
 static const struct hc_driver uhci_driver = {
 	.description =		hcd_name,
